--- old/usr/src/tools/onbld/Scm/Ignore.py	Thu Jan 24 03:07:49 2013
+++ new/usr/src/tools/onbld/Scm/Ignore.py	Thu Jan 24 03:07:49 2013
@@ -30,6 +30,8 @@
 import re
 import fnmatch
 
+RE_SYNTAX = re.compile(r'^syntax:\s*(.*)\s*$')
+
 #
 # It is important that this module not rely on Mercurial
 #
@@ -42,30 +44,29 @@
     ignore_list = []
     lc = 0
 
-    f = open(ignorefile, 'r')
-    for l in f:
-        lc += 1
-        # Remove comments and blank lines
-        l = re.sub(r'#.*', '', l).strip()
-        if l == '':
-            continue
-        # Process "syntax:" lines
-        m = re.match(r'^syntax:\s*(.*)\s*$', l)
-        if m:
-            syntax = m.group(1)
-            continue
-        # All other lines are considered patterns
-        if (syntax == 'glob'):
-            ignore_list.append(re.compile('.*' + fnmatch.translate(l)))
-        elif (syntax == 'regex'):
-            ignore_list.append(re.compile(l))
-        else:
-            raise Exception('%s:%d: syntax "%s" is not supported' %
-                (ignorefile, lc, syntax))
-    f.close()
+    with open(ignorefile, 'r') as f:
+        for l in f:
+            lc += 1
+            # Remove comments and blank lines
+            l = l.split('#', 2)[0].strip()
+            if l == '':
+                continue
+            # Process "syntax:" lines
+            m = RE_SYNTAX.match(l)
+            if m:
+                syntax = m.group(1)
+                continue
+            # All other lines are considered patterns
+            if (syntax == 'glob'):
+                ignore_list.append(re.compile('.*' + fnmatch.translate(l)))
+            elif (syntax == 'regex'):
+                ignore_list.append(re.compile(l))
+            else:
+                raise Exception('%s:%d: syntax "%s" is not supported' %
+                    (ignorefile, lc, syntax))
+
     return ignore_list
 
-
 def ignore(root, ignorefiles):
     # If we aren't provided any ignore files, we'll never ignore
     # any paths:
@@ -74,7 +75,7 @@
 
     ignore_list = []
     for ignorefile in ignorefiles:
-        ignore_list += _read_ignore_file(ignorefile)
+        ignore_list.extend(_read_ignore_file(ignorefile))
 
     # If the ignore files contained no patterns, we'll never ignore
     # any paths:
@@ -88,5 +89,3 @@
         return False
 
     return _ignore_func
-
-# vim: set expandtab sw=4 ts=4:
